varying vec3 EyeDir;
varying vec3 LightDir;

uniform vec4 LightPos;

void main()
{
	EyeDir = vec3(gl_ModelViewMatrix * gl_Vertex);
    gl_Position = ftransform();
    gl_TexCoord[0] = gl_MultiTexCoord0;
    
    vec3 t = normalize(gl_NormalMatrix * gl_MultiTexCoord1.xyz);
    vec3 n = normalize(gl_NormalMatrix * gl_Normal);
    vec3 b = cross (n, t);
    
    vec3 v;
    
    v.x = dot(vec3(gl_ModelViewMatrix * LightPos), t);
    v.y = dot(vec3(gl_ModelViewMatrix * LightPos), b);
    v.z = dot(vec3(gl_ModelViewMatrix * LightPos), n);
    
    LightDir = normalize(v);
    
    v.x = dot(EyeDir, t);
    v.y = dot(EyeDir, b);
    v.z = dot(EyeDir, n);
    
    EyeDir = normalize(v);
}