
varying vec3 normal;
varying vec3 view;
varying vec3 light;

uniform sampler2D Texture;

void main(void)
{
	vec3 fragNormal = normalize(normal);
	vec3 fragView = normalize(view);
	vec3 fragLight = normalize(light);
	vec3 reflection = normalize(reflect(-light, normal));

	float NdotL = max(0.0, dot(fragNormal, fragLight));
	float VdotR = dot(fragView, reflection);
	float VdotRExp = pow(max(0.0, VdotR), gl_FrontMaterial.shininess);

	vec4 color = gl_FrontLightModelProduct.sceneColor
				+ gl_FrontLightProduct[0].ambient
				+ gl_FrontLightProduct[0].diffuse * NdotL
				+ gl_FrontLightProduct[0].specular * VdotRExp;

	gl_FragColor = color * texture2D(Texture, gl_TexCoord[0].xy);
}