
varying vec3 normal;
varying vec3 view;
varying vec3 light;

uniform vec4 LightPos;

void main( void )
{
	vec3 eyeNormal = normalize(gl_NormalMatrix * gl_Normal);
	vec3 lightPos = vec3(normalize(gl_ModelViewMatrix * LightPos));

	vec4 eyeVertex = gl_ModelViewMatrix * gl_Vertex;
	vec3 eyeView = -normalize(eyeVertex.xyz);
	vec3 eyeLight = normalize(lightPos);

	normal = eyeNormal;
	view = eyeView;
	light = eyeLight;

	gl_Position = ftransform();

	gl_TexCoord[0] = gl_MultiTexCoord0;
}

